import request from "@/http/request";

export default {
    // 根据条件获取全部订单
    getOrderInList(params) {
        return request.post('/api/orderIn/queryOrderIn', params)
    },
    // 根据载具号查询
    getOrderInWithVehicleNo(vehicleNo) {
        return request.get('/api/orderIn/getOrderInWithVehicleNo', {
            params: {
                vehicleNo: vehicleNo
            }
        })
    },
    //下发任务
    addOrderIn(params){
        return request.post('/api/orderIn/addOrderIn', params)
    },
    // 绑定物料
    bindingVehicle(params) {
        return request.post('/api/orderIn/bindingVehicle', params)
    },
    //提交更新入库信息
    updateForInformation(params){
        return request.post('/api/orderIn/updateForInformation', params)
    },
    //提交更新入库信息
    updateForNum(params){
        return request.post('/api/orderIn/updateForNum', params)
    },
    // 解绑物料
    unbindingVehicle(rowId) {
        return request.put('/api/orderIn/unBindingVehicle/' + rowId)
    },

    //删除订单
    deleteOrderIn(rowId) {
        return request.delete('/api/orderIn/deleteOrderIn/' + rowId)
    },

    // 根据条件获取全部订单
    getOrderCheckList(params) {
        return request.post('/api/orderCheck/queryOrderCheck',params)
    },
    // 查询盘点任务
    showAddCheckTask(params) {
        return request.post('/api/orderCheck/showAddCheckTask',params)
    },

    //执行订单
    executeCheck(recordId){
        return request.put('/api/orderCheck/executeOrderCheck/' + recordId)
    },
    
    // 删除订单
    deleteCheckList(recordId) {
        return request.delete('/api/orderCheck/deleteCheck/' + recordId)
    },
    
    //添加盘点单
    addOrderCheck(params) {
        return request.post('/api/orderCheck/addOrderCheck', params)
    }


}